DBLINK_CANCEL_QUERY(3)

NAME
dblink_cancel_query - cancels any active query on the named connection

SYNOPSIS

dblink_cancel_query(text connname) returns text

DESCRIPTION

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

dblink_cancel_query attempts to cancel any query that is in progress on the named connection. Note that this is not certain to succeed (since, for example, the remote query might already have finished). A cancel request simply improves the odds that the query will fail soon. You must still complete the normal query protocol, for example by calling dblink_get_result.

ARGUMENTS

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

conname
    Name of the connection to use.

RETURN VALUE

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

Returns OK if the cancel request has been sent, or the text of an error message on failure.

EXAMPLES

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

    SELECT dblink_cancel_query('dtest1');